This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 484935 - biarch package and rpm -V
biarch package and rpm -V
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.8
All Linux
low Severity medium
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 13:50 EST by Petr Sklenar
Modified: 2012-06-20 12:13 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 508855 (view as bug list)
Environment:
Last Closed: 2012-06-20 12:13:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2009-02-10 13:50:15 EST
Description of problem:
When I have biarch package, which share same files, rpm -V complains


Version-Release number of selected component (if applicable):
rpm-4.3.3-31_nonptl

How reproducible:
always

Steps to Reproduce:
1. rpm -Uvh bind-debuginfo.i386 bind-debuginfo.x86_64
2. rpm -V bind-debuginfo
.......T.   /usr/src/debug/bind-9.2.4/bin/dig/dig.c
.......T.   /usr/src/debug/bind-9.2.4/bin/dig/dighost.c
.......T.   /usr/src/debug/bind-9.2.4/bin/dig/host.c
.......T.   /usr/src/debug/bind-9.2.4/bin/dig/include/dig/dig.h
.......T.   /usr/src/debug/bind-9.2.4/bin/dig/nslookup.c
etc

3. rpm -e bind-debuginfo.i386
#files are removed and rpm -V bind-debuginfo
missing     /usr/src/debug/bind-9.2.4
missing     /usr/src/debug/bind-9.2.4/bin
missing     /usr/src/debug/bind-9.2.4/bin/check
missing     /usr/src/debug/bind-9.2.4/bin/check/check-tool.c
missing     /usr/src/debug/bind-9.2.4/bin/check/named-checkconf.c
etc
  
Actual results:
rpm -V complains


Expected results:
rpm -V return zero



Additional info:
Comment 2 RHEL Product and Program Management 2009-03-12 15:33:21 EDT
Since RHEL 4.8 External Beta has begun, and this bugzilla remains 
unresolved, it has been rejected as it is not proposed as exception or 
blocker.
Comment 3 Jiri Pallich 2012-06-20 12:13:01 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.